Bug 91485

Summary: AuthorShadowDOM support for textarea element
Product: WebKit Reporter: Shinya Kawanaka <shinyak>
Component: DOMAssignee: Shinya Kawanaka <shinyak>
Status: RESOLVED FIXED    
Severity: Normal CC: cdumez, dglazkov, dominicc, eric, gyuyoung.kim, hayato, mifenton, mikhail.pozdnyakov, morrita, pdr, rakuco, tasak, tkent, webcomponents-bugzilla, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 82313    
Attachments:
Description Flags
Patch
none
Patch for landing none

Description Shinya Kawanaka 2012-07-17 03:59:06 PDT
When we add an AuthorShadowDOM to textarea element, it should be rendered correctly.
Comment 1 Shinya Kawanaka 2012-08-28 02:28:08 PDT
Created attachment 160937 [details]
Patch
Comment 2 WebKit Review Bot 2012-08-28 19:24:27 PDT
Comment on attachment 160937 [details]
Patch

Rejecting attachment 160937 [details] from review queue.

dglazkov@chromium.org does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have reviewer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have reviewer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your reviewer rights.
Comment 3 WebKit Review Bot 2012-08-28 19:26:57 PDT
Comment on attachment 160937 [details]
Patch

Rejecting attachment 160937 [details] from commit-queue.

shinyak@chromium.org does not have committer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

- If you do not have committer rights please read http://webkit.org/coding/contributing.html for instructions on how to use bugzilla flags.

- If you have committer rights please correct the error in Tools/Scripts/webkitpy/common/config/committers.py by adding yourself to the file (no review needed).  The commit-queue restarts itself every 2 hours.  After restart the commit-queue will correctly respect your committer rights.
Comment 4 Dimitri Glazkov (Google) 2012-08-28 19:30:50 PDT
(In reply to comment #2)
> (From update of attachment 160937 [details])
> Rejecting attachment 160937 [details] from review queue.
> 
> dglazkov@chromium.org does not have reviewer permissions according to http://trac.webkit.org/browser/trunk/Tools/Scripts/webkitpy/common/config/committers.py.

Don't make me come over there.
Comment 5 Shinya Kawanaka 2012-08-29 18:48:56 PDT
Created attachment 161385 [details]
Patch for landing
Comment 6 Shinya Kawanaka 2012-08-29 18:50:47 PDT
EWS was insane... Try again.
Comment 7 WebKit Review Bot 2012-08-30 00:19:34 PDT
Comment on attachment 161385 [details]
Patch for landing

Clearing flags on attachment: 161385

Committed r127108: <http://trac.webkit.org/changeset/127108>
Comment 8 WebKit Review Bot 2012-08-30 00:19:38 PDT
All reviewed patches have been landed.  Closing bug.
Comment 9 Mikhail Pozdnyakov 2012-08-30 02:56:25 PDT
Those still fail on EFL:
fast/dom/shadow/shadowdom-for-textarea-complex-shadow.html
fast/dom/shadow/shadowdom-for-textarea-with-placeholder.html


http://build.webkit.org/results/EFL%20Linux%2064-bit%20Debug/r127116%20%285136%29/results.html

Corresponding bug is bug95439.
Comment 10 Philip Rogers 2012-08-30 13:42:36 PDT
Shinya and Dimitri, I think this patch failed some tests because it needed some platform-specific results. I went ahead and landed them because nobody was available on IRC: http://trac.webkit.org/changeset/127182